Package mpi

# Interface Freeable

All Known Implementing Classes:
  `CartComm`, `Comm`, `Datatype`, `GraphComm`, `Group`, `Info`, `Intercomm`, `Intracomm`, `Op`, `Prequest`, `Request`, `Win`

public interface Freeable
Objects freeables must be freed calling the method free.

## Method Summary

Modifier and Type
Method
Description
`void`
`free()`
Frees a freeable object.

## Method Details

### free

void free() throws MPIException
Frees a freeable object.

Throws:
  `MPIException` - Signals that an MPI exception of some sort has occurred.